summaryrefslogtreecommitdiff
path: root/certbot-replicate
diff options
context:
space:
mode:
authorDaniel Micay <danielmicay@gmail.com>2021-07-28 00:10:43 -0400
committerDaniel Micay <danielmicay@gmail.com>2021-07-28 00:10:43 -0400
commit276a701772a975089280b7e807aa439d578a73cb (patch)
treed60c9e10a91279959079d4dadd07681dd5c77129 /certbot-replicate
parente898fc2385d99583a0c219024b2d5695cdc75b95 (diff)
add 2nd website server
Diffstat (limited to 'certbot-replicate')
-rwxr-xr-xcertbot-replicate17
1 files changed, 17 insertions, 0 deletions
diff --git a/certbot-replicate b/certbot-replicate
new file mode 100755
index 00000000..76398497
--- /dev/null
+++ b/certbot-replicate
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -o errexit -o nounset -o pipefail
+
+replicas=(
+ replica1.grapheneos.org
+)
+
+for replica in ${replicas[@]}; do
+ echo
+ echo Deploying to $replica
+ echo
+
+ rsync -rptvl --progress --delete /etc/letsencrypt/ $replica:/etc/letsencrypt
+ rsync -rptvl --progress --delete /etc/nginx/ocsp-cache/ $replica:/etc/nginx/ocsp-cache
+ ssh root@$replica nginx -s reload
+done